Skip to main content
Settings/Settings Operations/Advanced Settings Operations
GETAdvanced Settings OperationsSince 3.4.0SynchronousAuth Required

GetResourceConfig

GetResourceConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • categoryStringRequired

    The setting category.

  • nameStringRequired

    The setting name.

  • resourceUuidStringRequired

    The resource UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • valueStringRequired

    The setting value.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • effectiveConfigsListRequired

    The setting list that takes effect. Settings are ordered from high to low priorities. For more information, see effectiveConfigs.

    • uuidStringRequired

      The resource UUID.

    • resourceUuidStringRequired

      The resource UUID corresponded by the setting.

    • resourceTypeStringRequired

      The resource type corresponded by the setting.

    • nameStringRequired

      The setting name.

    • descriptionStringRequired

      The detailed description of the setting.

    • categoryStringRequired

      The setting category.

    • valueStringRequired

      The setting value.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/resource-configurations/{resourceUuid}/{category}/{name}

/zstack/v1/resource-configurations/{resourceUuid}/{category}/{name}

Operation ID

GetResourceConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/resource-configurations/{resourceUuid}/{category}/{name}?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "value": "5", "effectiveConfigs": [ { "uuid": "dae9aeb6d74e4f44823f2e0c4f1cc79f", "resourceUuid": "46597de31eac41539c4e6eda52885769", "resourceType": "HostVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "5", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "5c3c94a73d7b4a95a1818241f2e427ae", "resourceUuid": "371519310f344695854de27bb9743121", "resourceType": "ClusterVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "10", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history